# $Revision: 1.53 $, $Date: 2003/12/27 00:26:55 $
Summary:	GNU Line Editor
Summary(de):	GNU-Zeileneditor
Summary(es):	Editor de lneas de la GNU
Summary(fr):	diteur ligne de GNU
Summary(ja):	GNU 饤󥨥ǥ
Summary(pl):	GNU edytor liniowy
Summary(pt_BR):	Editor de linhas da GNU
Summary(ru):	  GNU
Summary(tr):	GNU satr dzenleyici
Summary(uk):	  GNU
Name:		ed
Version:	0.2
Release:	34
License:	GPL
Group:		Applications/Editors
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/%{name}-%{version}.tar.gz
# Source0-md5: ddd57463774cae9b50e70cd51221281b
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5: 13a5459ddffbd7f04aa3d67fce0d2134
Patch0:		%{name}-info.patch
Patch1:		%{name}-autoconf.patch
Patch2:		%{name}-mkstemp.patch
Patch3:		%{name}-debian.patch
Patch4:		%{name}-configure.patch
Patch5:		%{name}-regex.patch
URL:		http://www.gnu.org/software/ed/
BuildRequires:	autoconf
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr
%define		_exec_prefix	/

%description
This is the GNU line editor. It is an implementation of one of the
first editors under *nix. Some programs rely on it, but in general you
probably don't *need* it.

%description -l de
Dies ist der GNU-Zeileneditor, eine Implementierung einer der ersten
Editoren unter *nix. Manche Programme verlassen sich darauf, i.a.
*brauchen* Sie ihn wahrscheinlich nicht.

%description -l es
Este es GNU editor de lnea. Es un soporte a uno de los primeros
editores para *nix. Algunos de los programas cuentan con l, pero de
manera general, es muy probable que no lo *necesites*.

%description -l fr
diteur ligne de GNU. C'est une implantation de l'un des premiers
diteurs d'*nix. Certains programmes en ont besoin, mais en gnral,
vous n'en aurez probablement pas l'utilit.

%description -l ja
ed ϹԻظΥƥȥǥǡ( ŪǤ⥷륹ץȷͳǤ
) ƥȥեɽѤޤŪȤƤϡ
ե륹꡼󥨥ǥ ( 㤨 emacs  vi ) ˤäƤʤƤ
̾Ѥ ed ֤ƤȤǤ

ed Ͻ Unix ǥǡʥץ˻ȤƤޤ
̤ˤ¿ʬ󥹥ȡ뤹ɬפϤʤ
¿ʬȤʤȤʤǤ礦

%description -l pl
Ed jest GNU implementacj standardowego, pierwszego edytora
uniksowego. Cz starszych programw moe jeszcze z niego korzysta,
ale wikszo ju prawdopodobnie go nie potrzebuje.

%description -l pt_BR
Este  o GNU editor de linha.  uma implementao de um dos primeiros
editores para *nix. Alguns programas contam com ele, mas no geral voc
provavelmente no ir *precisar* dele.

%description -l uk
Ed -  -Ҧ  ,  դ
 ,   Ʀæ  ̦ (
,   ڦ Ԧ).  ¦Ԧ æ ed  ͦ
  (, joe, vi, emacs).

%description -l tr
Bu paket UN*X'in en eski metin dzenleyicilerinden birini
iermektedir. Baz yazlmlar hala bu programa gereksinim
duymaktadrlar.

%description -l ru
Ed -  -  ,  
,      ( , 
   ).    ed  
  (, joe, vi, emacs).

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
chmod +w configure
%{__autoconf}
%configure

rm -f ed.info
rm -f stamp-h.in
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc NEWS POSIX README
%attr(755,root,root) /bin/*

%{_infodir}/*info*
%{_mandir}/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ed.spec,v $
Revision 1.53  2003/12/27 00:26:55  ankry
- rel. 34

Revision 1.52  2003/08/30 12:38:01  mmazur
- fuck. rel 33 for ac

Revision 1.51  2003/08/30 12:34:26  mmazur
- rel 1 for ac

Revision 1.50  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.49  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/04/27 22:15:12  kloczek
- release 32: use glibc regexp (added regexp patch from RH).

Revision 1.46  2003/02/16 15:26:11  adasi
 - BR: texinfo (for makeinfo)

Revision 1.45  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.44  2002/11/29 12:23:48  dobrek
- added rm -f stamp-h.in otherwise it doesn't build.

Revision 1.43  2002/11/18 19:31:44  kloczek
- release 30.

Revision 1.42  2002/10/19 19:27:59  juandon
- new %%doc

Revision 1.41  2002/10/12 18:42:45  kloczek
- release 29: merge translations from KSI and Conectiva.

Revision 1.40  2002/10/05 12:38:33  aflinta
- added configure.ptch

Revision 1.39  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/04/25 16:14:24  arturs
fixed a small typo

Revision 1.37  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.34  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/06 02:59:12  kloczek
- bump to release 27 (for allow upgrade from MDK),
- URL added.

Revision 1.32  2001/11/05 17:23:25  kloczek
- merge ja translations from Kondara.

Revision 1.31  2001/11/04 23:07:42  ankry
- added nl,pl man pages
- release 21

Revision 1.30  2001/10/11 12:40:02  qboosh
- BuildRequires: autoconf

Revision 1.29  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2000/12/15 00:40:14  kloczek
- merged Debian fixes.

Revision 1.26  2000/12/15 00:26:16  dobrek
-Realace increased to 20 for allow updates on RH7.0

Revision 1.25  2000/12/15 00:23:53  dobrek
-Added Security patch from RH

Revision 1.24  2000/10/11 16:54:39  kloczek
- release 19: use new rpm automation.

Revision 1.23  2000/06/18 22:52:39  kloczek
- release 18.

Revision 1.22  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.20  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.16  2000/03/28 15:40:18  arturs
typo

Revision 1.15  1999/11/14 01:58:40  kloczek
- release 17,
- added using %%configure macro.

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.13  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 17 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-15]
- added ed-autoconf.patch which allow "make install
  DESTDIR=</install/prefix>" and fix making red man page as groff include,
- more rpm macros.

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
- spec cleanup.

* Thu Apr 22 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-14]
- recompiles on new rpm.

* Thu Apr  1 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2-13]
- removed man group from man pages,
- added gzipping %doc,
- removed striping binaries (added LDFLAGS="-s" to ./configure env),
- added ed-info.patch.

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.2-6d]
- translation modified for pl,
- restricted ELF binary permission,
- major modifications of the spec file.

* Thu Jul 23 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.2-6]
- build against glibc-2.1.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
